Skip to main content
PUT
/
entities
/
{ent_id}
/
verification_sessions
/
{evf_id}
curl https://production.methodfi.com/entities/ent_BYdNCVApmp7Gx/verification_sessions/evf_qTNNzCQ63zHJ9 \
  -X PUT \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "sna",
    "sna": {}
  }'
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_BYdNCVApmp7Gx",
  "status": "verified",
  "type": "phone",
  "method": "sna",
  "sna": {
    "urls": [
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_yAJRRk8djWLc8",
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_8AhxN68kpkHmL"
    ]
  },
  "error": null,
  "created_at": "2024-04-10T22:15:57.874Z",
  "updated_at": "2024-04-10T22:15:57.874Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Updates an ongoing for an Entity to verify their phone via Method’s SNA verification process. Method will verify that the at least one of the URLs was accessed from a mobile device matching the Entity’s phone number.

Path Parameters

Body

Returns

Returns an Entity’s verification session object.
curl https://production.methodfi.com/entities/ent_BYdNCVApmp7Gx/verification_sessions/evf_qTNNzCQ63zHJ9 \
  -X PUT \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "sna",
    "sna": {}
  }'
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_BYdNCVApmp7Gx",
  "status": "verified",
  "type": "phone",
  "method": "sna",
  "sna": {
    "urls": [
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_yAJRRk8djWLc8",
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_8AhxN68kpkHmL"
    ]
  },
  "error": null,
  "created_at": "2024-04-10T22:15:57.874Z",
  "updated_at": "2024-04-10T22:15:57.874Z"
}